Bug 1507235 - Review Request: python-mpd2 - Python library providing a client interface for MPD
Summary: Review Request: python-mpd2 - Python library providing a client interface for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1368911 (view as bug list)
Depends On:
Blocks: 1404618
TreeView+ depends on / blocked
 
Reported: 2017-10-28 15:40 UTC by Ankur Sinha (FranciscoD)
Modified: 2017-11-15 20:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 17:40:36 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2017-10-28 15:40:29 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-mpd2/python-mpd2.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-mpd2/python-mpd2-0.5.5-20170705git05510bb.fc26.src.rpm

Description: It is a Python library which provides a client interface for MPD

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2017-10-28 15:41:34 UTC
*** Bug 1368911 has been marked as a duplicate of this bug. ***

Comment 3 Ankur Sinha (FranciscoD) 2017-10-28 16:37:42 UTC
A few more fixes and an F27 scratch build here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=22761458

Comment 4 Robert-André Mauchin 2017-10-28 17:04:23 UTC
Hello

 - Group: is not used in Fedora. See: https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - Any particular reasons for using a development snapshot?

 - Your Release tag must be prefixed:

Release:        1.20171028git%{shortcommit0}%{?dist}

 - Please include tests in %check: https://github.com/Mic92/python-mpd2#testing

 - The Summary/Description is a bit awkward, just use:

Python library providing a client interface for MPD

Comment 5 Robert-André Mauchin 2017-10-28 18:19:42 UTC
   It turns out the test are, pardon my French, a PITA. To help you here what you need:

BuildRequires:  python2-mock
BuildRequires:  python2-tox
BuildRequires:  python2-twisted

   And:

BuildRequires:  python3-mock
BuildRequires:  python3-tox
BuildRequires:  python3-twisted


   And the tests themselves:

%check
TOX_TESTENV_PASSENV=PYTHONPATH TOXENV=py27 %{__python2} setup.py test
%if %{with_python3}
TOX_TESTENV_PASSENV=PYTHONPATH TOXENV=py36 %{__python3} setup.py test
%endif

Comment 6 Ankur Sinha (FranciscoD) 2017-10-28 18:53:09 UTC
Thanks for the comments and testing commands!

Here are the updated spec/srpms:

Spec URL: https://ankursinha.fedorapeople.org/python-mpd2/python-mpd2.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-mpd2/python-mpd2-0.5.5-2.fc27.src.rpm

I double checked. It isn't a git snapshot, it is a release on Github, and since I'm using the sources from there, the commit information is needed. I've updated the release string now.

Thanks!

Comment 7 Robert-André Mauchin 2017-10-28 19:38:10 UTC
   I don't understand, if it's a Release, just use the Release archive?

Source0:        https://github.com/Mic92/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

   And:

%prep
%autosetup -n %{name}-%{version}

   No need for git commit.


   It's late over here, I'll finish the review tomorrow.

Comment 8 Ankur Sinha (FranciscoD) 2017-10-28 20:54:14 UTC
Hrm, I was under the impression that the release archives shouldn't be used because they're liable to change without notice - and so the commit archives should be preferred. I can't find it in the docs, though...

Anyway, updated to use the release tag:

Spec URL: https://ankursinha.fedorapeople.org/python-mpd2/python-mpd2.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-mpd2/python-mpd2-0.5.5-3.fc27.src.rpm


Thanks!

Comment 9 Robert-André Mauchin 2017-10-29 08:26:36 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #8)
> Hrm, I was under the impression that the release archives shouldn't be used
> because they're liable to change without notice - and so the commit archives
> should be preferred. I can't find it in the docs, though...
> 

I've never heard about that before, all packages I've been reviewing use the release archives.


Package is accepted.

Comment 10 Ankur Sinha (FranciscoD) 2017-10-29 08:35:23 UTC
Thanks for the review. I've gone ahead and requested repos now.

Comment 11 Gwyn Ciesla 2017-10-30 23:34:14 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-mpd2. You may commit to the branch "f27" in about 10 minutes.

Comment 12 Fedora Update System 2017-10-31 19:10:21 UTC
python-mpd2-0.5.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 13 Fedora Update System 2017-11-01 14:22:49 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27 python-mpd2-0.5.5-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 14 Fedora Update System 2017-11-01 16:03:54 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27, python-mpd2-0.5.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 15 Fedora Update System 2017-11-01 16:44:08 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27 python-mpd2-0.5.5-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 16 Fedora Update System 2017-11-01 16:47:47 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc26 python-mpd2-0.5.5-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-865887c093

Comment 17 Fedora Update System 2017-11-01 17:22:21 UTC
python-mpd2-0.5.5-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7e3b64193

Comment 18 Fedora Update System 2017-11-03 14:23:05 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc26, python-mpd2-0.5.5-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-865887c093

Comment 19 Fedora Update System 2017-11-04 18:01:32 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27, python-mpd2-0.5.5-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cbd10475c

Comment 20 Fedora Update System 2017-11-15 17:40:36 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc27, python-mpd2-0.5.5-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-11-15 20:14:29 UTC
mpdris2-0.7-5.20171028git3c3fe12.fc26, python-mpd2-0.5.5-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.